Index: LMDZ4/trunk/libf/phylmd/ocean_slab_mod.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/ocean_slab_mod.F90	(revision 996)
+++ LMDZ4/trunk/libf/phylmd/ocean_slab_mod.F90	(revision 1067)
@@ -1,4 +1,2 @@
-!
-! $Header$
 !
 MODULE ocean_slab_mod
@@ -7,9 +5,4 @@
 ! "ocean=slab".
 !
-  USE surface_data
-  USE fonte_neige_mod,  ONLY : fonte_neige
-  USE calcul_fluxs_mod, ONLY : calcul_fluxs
-  USE dimphy
-  
   IMPLICIT NONE
   PRIVATE
@@ -22,5 +15,7 @@
   SUBROUTINE ocean_slab_frac(itime, dtime, jour, pctsrf, is_modified)
 
+    USE dimphy
     USE limit_read_mod
+    USE surface_data
     INCLUDE "indicesol.h"
 !    INCLUDE "clesphys.h"
@@ -40,5 +35,5 @@
 
 
-    IF (version_ocean=='sicOBS') THEN   
+    IF (version_ocean == 'sicOBS') THEN   
        CALL limit_read_frac(itime, dtime, jour, pctsrf, is_modified)
     ELSE
@@ -55,11 +50,15 @@
   SUBROUTINE ocean_slab_noice( & 
        itime, dtime, jour, knon, knindex, &
-       p1lay, tq_cdrag, precip_rain, precip_snow, temp_air, spechum, &
-       petAcoef, peqAcoef, petBcoef, peqBcoef, &
-       ps, u1_lay, v1_lay, tsurf_in, &
+       p1lay, cdragh, cdragm, precip_rain, precip_snow, temp_air, spechum, &
+       AcoefH, AcoefQ, BcoefH, BcoefQ, &
+       AcoefU, AcoefV, BcoefU, BcoefV, &
+       ps, u1, v1, tsurf_in, &
        radsol, snow, agesno, &
-       qsurf, evap, fluxsens, fluxlat, &
+       qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
        tsurf_new, dflux_s, dflux_l, lmt_bils)
-
+    
+    USE dimphy
+    USE calcul_fluxs_mod
+  
     INCLUDE "indicesol.h"
     INCLUDE "iniprint.h"
@@ -73,11 +72,11 @@
     REAL, INTENT(IN)                     :: dtime
     REAL, DIMENSION(klon), INTENT(IN)    :: p1lay
-    REAL, DIMENSION(klon), INTENT(IN)    :: tq_cdrag
+    REAL, DIMENSION(klon), INTENT(IN)    :: cdragh, cdragm
     REAL, DIMENSION(klon), INTENT(IN)    :: precip_rain, precip_snow
     REAL, DIMENSION(klon), INTENT(IN)    :: temp_air, spechum
-    REAL, DIMENSION(klon), INTENT(IN)    :: petAcoef, peqAcoef
-    REAL, DIMENSION(klon), INTENT(IN)    :: petBcoef, peqBcoef
+    REAL, DIMENSION(klon), INTENT(IN)    :: AcoefH, AcoefQ, BcoefH, BcoefQ
+    REAL, DIMENSION(klon), INTENT(IN)    :: AcoefU, AcoefV, BcoefU, BcoefV
     REAL, DIMENSION(klon), INTENT(IN)    :: ps
-    REAL, DIMENSION(klon), INTENT(IN)    :: u1_lay, v1_lay
+    REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1
     REAL, DIMENSION(klon), INTENT(IN)    :: tsurf_in
 
@@ -92,4 +91,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)   :: qsurf
     REAL, DIMENSION(klon), INTENT(OUT)   :: evap, fluxsens, fluxlat
+    REAL, DIMENSION(klon), INTENT(OUT)   :: flux_u1, flux_v1
     REAL, DIMENSION(klon), INTENT(OUT)   :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)   :: dflux_s, dflux_l      
@@ -101,4 +101,6 @@
     REAL, DIMENSION(klon) :: cal, beta, dif_grnd
     REAL, DIMENSION(klon) :: lmt_bils_oce, lmt_foce, diff_sst
+    REAL, DIMENSION(klon) :: u0, v0
+    REAL, DIMENSION(klon) :: u1_lay, v1_lay
     REAL                  :: calc_bils_oce, deltat
     REAL, PARAMETER       :: cyang=50.0 * 4.228e+06 ! capacite calorifique volumetrique de l'eau J/(m2 K)
@@ -113,10 +115,23 @@
     agesno(:)   = 0.
     
+! Suppose zero surface speed
+    u0(:)=0.0
+    v0(:)=0.0
+    u1_lay(:) = u1(:) - u0(:)
+    v1_lay(:) = v1(:) - v0(:)
+
     CALL calcul_fluxs(knon, is_oce, dtime, &
-         tsurf_in, p1lay, cal, beta, tq_cdrag, ps, &
+         tsurf_in, p1lay, cal, beta, cdragh, ps, &
          precip_rain, precip_snow, snow, qsurf,  &
          radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, &
-         petAcoef, peqAcoef, petBcoef, peqBcoef, &
+         AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
+
+! - Flux calculation at first modele level for U and V
+    CALL calcul_flux_wind(knon, dtime, &
+         u0, v0, u1, v1, cdragm, &
+         AcoefU, AcoefV, BcoefU, BcoefV, &
+         p1lay, temp_air, &
+         flux_u1, flux_v1)  
 
 !****************************************************************************************
